%define upstream_name    Tapper-Remote
%define upstream_version 5.0.0

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Tapper - Common functionality for remote automation libs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Tapper/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(Log::Log4perl)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Net::TFTP)
BuildRequires: perl(POSIX)
BuildRequires: perl(Socket)
BuildRequires: perl(Sys::Hostname)
BuildRequires: perl(Tapper::Base)
BuildRequires: perl(Test::MockModule)
BuildRequires: perl(Test::More)
BuildRequires: perl(URI::Escape)
BuildRequires: perl(YAML::Syck)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module contains functions that are common for all remote Tapper projects
(currently Tapper::PRC and Tapper::Installer). Tapper::Remote itself does not
export functionality but instead is the base image for all modules of the
project.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 5.0.0-5.mga10
+ Revision: 2204751
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 5.0.0-4.mga9
+ Revision: 1810264
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 5.0.0-3.mga8
+ Revision: 1506215
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 5.0.0-2.mga7
+ Revision: 1286237
- Mageia 7 Mass Rebuild

* Wed Aug 02 2017 sander85 <sander85> 5.0.0-1.mga7
+ Revision: 1134055
- update to 5.0.0

* Sun Jun 19 2016 pterjan <pterjan> 4.1.1-7.mga6
+ Revision: 1033727
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 4.1.1-6.mga6
+ Revision: 944648
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.1.1-5.mga5
+ Revision: 743203
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.1.1-4.mga5
+ Revision: 686316
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 4.1.1-3.mga4
+ Revision: 514838
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 4.1.1-2.mga3
+ Revision: 373060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 shlomif <shlomif> 4.1.1-1.mga3
+ Revision: 330344
- update to 4.1.1

* Thu Oct 25 2012 shlomif <shlomif> 4.1.0-2.mga3
+ Revision: 309958
- Add meaningful description - thanks tv

* Wed Oct 24 2012 shlomif <shlomif> 4.1.0-1.mga3
+ Revision: 309783
- imported package perl-Tapper-Remote


* Wed Oct 24 2012 cpan2dist 4.1.0-1mga
- initial mageia release, generated with cpan2dist
